
/* ############################################################
	LAYOUT-RASTER
############################################################ */

@media screen and (min-width: 992px) {
	/* Layout 1: 1-7-4 */
	.mdl300-modul-box.quiz-layout-1 {
		padding-right: calc((4 * var(--col-width-1)) + (4 * var(--gap)));
	}
	/* Layout 2: 1-8-3 */
	.mdl300-modul-box.quiz-layout-2 {
		padding-right: calc((3 * var(--col-width-1)) + (3 * var(--gap)));
	}
}
@media screen and (min-width: 1600px) {
	/* Layout 1: 1-7-4 */
	.mdl300-modul-box.quiz-layout-1 {
		padding-left: calc((1 * var(--col-width-1)) + (1 * var(--gap)));
	}
	/* Layout 2: 1-8-3 */
	.mdl300-modul-box.quiz-layout-2 {
		padding-left: calc((1 * var(--col-width-1)) + (1 * var(--gap)));
	}
}


/* ############################################################
	FORMULAR
############################################################ */

/* Resets */
.mdl300-form input:focus, .mdl300-form input:active,
.mdl300-form select:focus, .mdl300-form select:active,
.mdl300-form textarea:focus, .mdl300-form textarea:active,
.mdl300-form button.send-button:focus, .mdl300-form button.send-button:active {
	outline: none;
}
.mdl300-form .form-field > p:last-of-type {
	margin-bottom: 0;
}


/* Formular-Raster */
.mdl300-form .form-group {
	position: relative;
	display: grid;
	/* grid-template-columns: 1fr; */
	grid-template-columns: minmax(0, 1fr);
	gap: 20px;
	width: 100%;
}
	.mdl300-form .form-field {
		position: relative;
		scroll-margin-top: 100px;
		min-width: 0;
	}
	.mdl300-form .form-field.placeholder.full {
		height: 8px;
	}
@media screen and (min-width: 768px) {
	.mdl300-form .form-group {
		grid-template-columns: repeat(4, minmax(0, 1fr));
		gap: 30px var(--gap);
	}
		.mdl300-form .form-field.full {
			grid-column: 1 / -1;
		}
		.mdl300-form .form-field.half {
			grid-column: span 2;
		}
		.mdl300-form .form-field.quarter {
			grid-column: span 1;
		}
}
@media screen and (min-width: 1200px) {
	.mdl300-form .form-field.placeholder.full {
		height: 10px;
	}
}


/* Label (Wenn sichtbar) */
.mdl300-form label:not(.visuallyhidden) {
	display: block;
	margin-top: 12px;
	margin-bottom: 8px;
	font-weight: 800;
}
@media screen and (min-width: 1200px) {
	.mdl300-form label:not(.visuallyhidden) {
		margin-top: 15px;
		margin-bottom: 10px;
	}
}


/* Feld: Text/Textarea */
.mdl300-form input, .mdl300-form textarea {
	position: relative;
	width: 100%;
	height: 60px;
	padding: 17px 20px 15px;
	border: none;
	border-radius: 10px;
	background-color: var(--main-color-white);
	font-family: "Gilroy";
	font-style: italic;
	font-weight: 700;
	font-size: 1rem; /* 16px */
	line-height: 1.5;
	letter-spacing: 0.32px;
	color: var(--main-color-1);
	-webkit-appearance: none;
	appearance: none;
}
.mdl300-form input::placeholder, .mdl300-form textarea::placeholder /* Standard (Chrome, Edge, Safari, Firefox modern) */ {
	color: var(--ph-color);
	opacity: 1; /* wichtig für Firefox */
}
.mdl300-form input::-webkit-input-placeholder, .mdl300-form textarea::-webkit-input-placeholder /* ältere WebKit/Blink-Varianten (Safari/Chrome) */ {
	color: var(--ph-color);
	opacity: 1; /* wichtig für Firefox */
}
.mdl300-form input::-moz-placeholder, .mdl300-form textarea::-moz-placeholder /* Firefox (ältere Varianten) */ {
	color: var(--ph-color);
	opacity: 1; /* wichtig für Firefox */
}
.mdl300-form [data-disable-group]:disabled {
	opacity: 0.3;
	cursor: not-allowed;
}
@media screen and (min-width: 1200px) {
	.mdl300-form input, .mdl300-form textarea {
		height: 75px;
		padding: 26px 25px 21px;
		font-size: 1.25rem; /* 20px */
		letter-spacing: 0.4px;
	}
}


/* Feld: Textarea */
.mdl300-form textarea {
	height: 120px;
}
.mdl300-form textarea.resize {
	height: auto;
	min-height: 120px;
	resize: none;
	-ms-overflow-style: none;
}
@media screen and (min-width: 1200px) {
	.mdl300-form textarea {
		height: 150px;
	}
	.mdl300-form textarea.resize {
		min-height: 150px;
	}
}


/* Checkbox, Radio */
.mdl300-form .checkbox-item, .mdl300-form .radio-item {
	position: relative;
}
.mdl300-form .radio-item + .radio-item {
	margin-top: 10px;
}
.mdl300-form .radio-item.disabled {
	opacity: 0.5;
}
.mdl300-form .radio-item.disabled label {
	cursor: not-allowed;
}
.mdl300-form input[type='checkbox'],
.mdl300-form input[type='radio'] {
	position: absolute;
	width: auto;
	height: auto;
	background: transparent;
	border: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}
.mdl300-form input[type='checkbox']:checked, .mdl300-form input[type='checkbox']:not(:checked),
.mdl300-form input[type='radio']:checked, .mdl300-form input[type='radio']:not(:checked)  {
	margin: 0;
	padding: 0;
	opacity: 0;
	pointer-events: none; /* optional */
}
.mdl300-form input[type='checkbox'] + label,
.mdl300-form input[type='radio'] + label {
	display: inline-block;
	cursor: pointer;
	vertical-align: baseline;
	margin: 0;
	padding: 0 0 0 24px;
}
.mdl300-form input[type='checkbox']:checked + label::before,
.mdl300-form input[type='checkbox']:not(:checked) + label::before,
.mdl300-form input[type='radio']:checked + label::before,
.mdl300-form input[type='radio']:not(:checked) + label::before {
	content: "";
	position: absolute;
	top: 4px;
	left: 0;
	width: 16px;
	height: 16px;
	border-radius: 50%;
	background-color: var(--main-color-white);
}
.mdl300-form input[type='checkbox']:checked + label::before,
.mdl300-form input[type='radio']:checked + label::before {
	background-color: var(--main-color-1);
}
.mdl300-form .radio-item.successful input[type='radio']:checked + label::before {
	background-color: var(--main-color-successful);
}
.mdl300-form .radio-item.error input[type='radio']:checked + label::before {
	background-color: var(--main-color-error);
}
.mdl300-form .radio-item.successful input[type='radio']:checked + label {
	color: var(--main-color-successful);
}
.mdl300-form .radio-item.error input[type='radio']:checked + label {
	color: var(--main-color-error);
}
@media screen and (min-width: 1200px) {
	.mdl300-form .radio-item + .radio-item {
		margin-top: 16px;
	}
		.mdl300-form input[type='checkbox'] + label,
		.mdl300-form input[type='radio'] + label {
			padding-left: 30px;
		}
		.mdl300-form input[type='checkbox']:checked + label::before,
		.mdl300-form input[type='checkbox']:not(:checked) + label::before,
		.mdl300-form input[type='radio']:checked + label::before,
		.mdl300-form input[type='radio']:not(:checked) + label::before {
			top: 5px;
			width: 20px;
			height: 20px;
		}
}


/* Button: Senden */
.mdl300-form button.send-button {
	border: none;
	cursor: pointer;
	margin: 0;
}


/* li-life Captcha */
.mdl300-form .hp-field {
	position: absolute !important;
	left: -10000px !important;
	top: auto !important;
	width: 1px !important;
	height: 1px !important;
	overflow: hidden !important;
}


/* Fehler */
/* Fehlerzustand über Wrapper */
.mdl300-form .form-field.is-invalid .form-control,
.mdl300-form .form-field.is-invalid label,
.mdl300-form .form-field.is-invalid label a {
	color: var(--main-color-error);
	--ph-color: var(--main-color-error);
}
/* Gültig über Wrapper */
.mdl300-form .form-field.is-valid .form-control,
.mdl300-form .form-field.is-valid label,
.mdl300-form .form-field.is-valid label a {
	color: var(--main-color-1);
	--ph-color: var(--main-color-1); /* zurück auf Standard */
}


/* Abstände */
.mdl300-form .abstand-top-small {
	margin-top: 5px;
}
.mdl300-form .abstand-top-medium {
	margin-top: 20px;
}
.mdl300-form .abstand-top-large {
	margin-top: 30px;
}
@media screen and (min-width: 1200px) {
	.mdl300-form .abstand-top-small {
		margin-top: 20px;
	}
	.mdl300-form .abstand-top-medium {
		margin-top: 50px;
	}
	.mdl300-form .abstand-top-large {
		margin-top: 60px;
	}
}


/* Hinweise */
.mdl300-form .error-box {
	margin-top: 0;
	font-style: italic;
}
.mdl300-form .error-box:has(> div:not([hidden])) {
	margin-top: 24px;
}
.mdl300-form .successful-box {
	margin-top: 30px;
}
@media screen and (min-width: 1200px) {
	.mdl300-form .error-box:has(> div:not([hidden])) {
		margin-top: 30px;
	}
	.mdl300-form .successful-box {
		margin-top: 60px;
	}
}


/* Titel, Schriftgrössen */
.mdl300-modul-box h3 {
	margin-bottom: 30px;
	font-style: italic;
	font-size: 1.5rem; /* 24px */
	line-height: 1.25;
	letter-spacing: 0.48px;
}
@media screen and (min-width: 1200px) {
	.mdl300-modul-box h3 {
		margin-bottom: 60px;
		font-size: 2.8125rem; /* 45px */
		letter-spacing: 0.9px;
	}
}

